DefaultTableModel (Groovy 5.0.7)

Package: groovy.swing.model

## [Java] Class DefaultTableModel

- groovy.swing.model.DefaultTableModel

-     public class DefaultTableModel
      extends AbstractTableModel

  A default table model made up of PropertyModels on a Value model.

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `protected static class` | `DefaultTableModel.MyTableColumnModel` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `DefaultTableModel(ValueModel rowsModel)`
    `DefaultTableModel(ValueModel rowsModel, ValueModel rowModel)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public DefaultTableColumn` | `addClosureColumn(Object headerValue, Closure readClosure, Closure writeClosure, Class type)` Adds a closure based column to the table
    `` | `public DefaultTableColumn` | `addColumn(Object headerValue, ValueModel columnValueModel)`
    `` | `public DefaultTableColumn` | `addColumn(Object headerValue, Object identifier, ValueModel columnValueModel)`
    `` | `public void` | `addColumn(DefaultTableColumn column)` Adds a new column definition to the table
    `` | `public DefaultTableColumn` | `addPropertyColumn(Object headerValue, String property, Class type)` Adds a property model column to the table
    `` | `public DefaultTableColumn` | `addPropertyColumn(Object headerValue, String property, Class type, boolean editable)` Adds a property model column to the table
    `` | `public Class` | `getColumnClass(int columnIndex)`
    `` | `public int` | `getColumnCount()`
    `` | `public List` | `getColumnList()` Returns: the column definitions.
    `` | `public TableColumnModel` | `getColumnModel()`
    `` | `protected ValueModel` | `getColumnModel(int columnIndex)`
    `` | `public String` | `getColumnName(int columnIndex)`
    `` | `public int` | `getRowCount()`
    `` | `public ValueModel` | `getRowModel()`
    `` | `protected List` | `getRows()`
    `` | `public ValueModel` | `getRowsModel()`
    `` | `public Object` | `getValueAt(int rowIndex, int columnIndex)`
    `` | `public boolean` | `isCellEditable(int rowIndex, int columnIndex)`
    `` | `public void` | `removeColumn(DefaultTableColumn column)` Removes a column definition from the table
    `` | `public void` | `setValueAt(Object value, int rowIndex, int columnIndex)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractTableModel` | `addTableModelListener, equals, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getClass, getColumnClass, getColumnCount, getColumnName, getListeners, getRowCount, getTableModelListeners, getValueAt, hashCode, isCellEditable, notify, notifyAll, removeTableModelListener, setValueAt, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public DefaultTableModel(ValueModel rowsModel)

    - #### public DefaultTableModel(ValueModel rowsModel, ValueModel rowModel)

  - ### Method Detail

    - #### public DefaultTableColumn addClosureColumn(Object headerValue, Closure readClosure, Closure writeClosure, Class type)

      Adds a closure based column to the table

    - #### public DefaultTableColumn addColumn(Object headerValue, ValueModel columnValueModel)

    - #### public DefaultTableColumn addColumn(Object headerValue, Object identifier, ValueModel columnValueModel)

    - #### public void addColumn(DefaultTableColumn column)

      Adds a new column definition to the table

    - #### public DefaultTableColumn addPropertyColumn(Object headerValue, String property, Class type)

      Adds a property model column to the table

    - #### public DefaultTableColumn addPropertyColumn(Object headerValue, String property, Class type, boolean editable)

      Adds a property model column to the table

    - #### @Override
      public Class getColumnClass(int columnIndex)

    - #### @Override
      public int getColumnCount()

    - #### public List getColumnList()

      Returns:
        the column definitions.

    - #### public TableColumnModel getColumnModel()

    - #### protected ValueModel getColumnModel(int columnIndex)

    - #### @Override
      public String getColumnName(int columnIndex)

    - #### @Override
      public int getRowCount()

    - #### public ValueModel getRowModel()

    - #### protected List getRows()

    - #### public ValueModel getRowsModel()

    - #### @Override
      public Object getValueAt(int rowIndex, int columnIndex)

    - #### @Override
      public boolean isCellEditable(int rowIndex, int columnIndex)

    - #### public void removeColumn(DefaultTableColumn column)

      Removes a column definition from the table

    - #### @Override
      public void setValueAt(Object value, int rowIndex, int columnIndex)